/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.PricingPuntoVenta;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderPricingPuntoVenta implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PricingPuntoVenta ppv = (PricingPuntoVenta) o;

        Listcell lc = new Listcell();

        if (ppv.getPuntoVenta() != null) {
            lc = new Listcell(ppv.getPuntoVenta().getNombpuntoventa());
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", ppv);
    }
}
